Skip to navigation

Legal Holds Release Policy

View as Markdown

Releases a legal hold by Id. Note: Legal Holds is a paid add-on. Not all teams have the feature.

Permission : Team member file access.

Required scope: team_data.governance.write

Endpoint format: RPC

Authentication: Team

Authentication

AuthorizationBearer

Team-level OAuth 2.0 token issued to a Dropbox Business admin. Use Authorization: Bearer <token>.

Obtain via the authorization code flow with team-scoped permissions.

Grants access to team-wide administrative operations.

You can generate a short-lived access token from the App Console; see Testing with a generated token.

Request

This endpoint expects an object.
idstringRequiredformat: "^pid_dbhid:.+"
The legal hold Id.

Response headers

X-Dropbox-Request-IdstringOptional
A unique identifier for the request, useful for debugging and support.

Response

Successful response (no content)

Errors

401
Unauthorized Error
403
Forbidden Error
409
Conflict Error
429
Too Many Requests Error
500
Internal Server Error